Page MenuHomePhabricator

On CI, upgrade docker-ce from 17.06.2 to 17.12.1
Closed, ResolvedPublic

Description

A new version of docker-ce is available from https://download.docker.com/linux/debian/dists/jessie/pool/stable/amd64/ (download).

https://docs.docker.com/release-notes/docker-ce/#stable-releases

17.09.1

Add --chown flag to ADD/COPY commands in Dockerfile
LCOW: WORKDIR correct handling moby#34886 (for Windows)

17.12 doesn't seem to add anything of interest for us.

Event Timeline

hashar created this task.Oct 5 2017, 2:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2017, 2:24 PM

Add --chown flag to ADD/COPY commands in Dockerfile

That is awesome

hashar triaged this task as Normal priority.Oct 6 2017, 8:26 AM

The memory leak I pointed at ( T177039 ) was most probably due to an outdated Linux Kernel. Docker might just have exacerbated it.

dduvall moved this task from Backlog to CI on the Release Pipeline board.Nov 6 2017, 6:18 PM
hashar renamed this task from On CI, upgrade docker-ce from 17.06.2 to 17.09.0 to On CI, upgrade docker-ce from 17.06.2 to 17.09.1.Dec 11 2017, 11:18 PM
hashar updated the task description. (Show Details)
hashar renamed this task from On CI, upgrade docker-ce from 17.06.2 to 17.09.1 to On CI, upgrade docker-ce from 17.06.2 to 17.12.1.Mar 1 2018, 9:53 AM
hashar updated the task description. (Show Details)
Joe added a subscriber: Joe.Mar 1 2018, 5:08 PM
hashar added a comment.Mar 1 2018, 5:10 PM

We talked about it during the pipeline meeting. Release Pipeline (Blubber) is going to need it as well (D984: Fix application files/runtime permissions scheme).

I have no idea how to do the upgrade. It is probably just about doing apt upgrade.

NOTE: CI has unattended upgrade running, so as soon as the package appears on apt.wikimedia.org, the next unattended-upgrade run would magically upgrade Docker on the hosts. We probably want to handle that manually.

Mentioned in SAL (#wikimedia-operations) [2018-03-02T11:28:08Z] <akosiaris> upload to apt.wikimedia.org component thirdparty/ci distro jessie-wikimedia docker-ce_17.12.1~ce-0~debian_amd64 T177499

akosiaris closed this task as Resolved.Mar 2 2018, 11:31 AM
akosiaris claimed this task.
akosiaris added a subscriber: akosiaris.

Package uploaded and a manual apt-get install docker-ce did the trick, things look fine. Resolving this.

Change 415838 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] ci: Upgrade docker image version

https://gerrit.wikimedia.org/r/415838

Change 415838 merged by Alexandros Kosiaris:
[operations/puppet@production] ci: Upgrade docker image version

https://gerrit.wikimedia.org/r/415838